import { request } from '@/common/utils'
import type { TasksResponse } from './task'

export interface BaseResponse<T = any> {
  code: number
  data: T
  msg: string
}

/**
 * 获取任务列表
 * @param taskMode 1: 待生产的任务 2: 看板各通道当前展示的任务
 */
export function getTaskList(taskMode: 1 | 2) {
  return request<BaseResponse<TasksResponse>>({
    url: '/v1/task/get',
    method: 'get',
    params: {
      taskMode
    }
  })
}
